Bug 623456 - dbus packaging is odd
dbus packaging is odd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 16:07 EDT by Bill Nottingham
Modified: 2014-03-16 23:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: initscripts-9.20-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 19:23:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-08-11 16:07:13 EDT
Description of problem:

dbus has:

/lib/systemd/system/dbus.service
/lib/systemd/system/dbus.socket
/lib/systemd/system/dbus.target.wants/dbus.socket
/lib/systemd/system/messagebus.service

systemd has:

/lib/systemd/system/dbus.target

Nothing owns:

/lib/systemd/system/dbus.target.wants

Something should own the directory, and it's likely dbus.target should move to the dbus package too.

Version-Release number of selected component (if applicable):

systemd-7-1.fc14
dbus-1.3.2-0.1.885483.fc14

How reproducible:

100%
Comment 1 Lennart Poettering 2010-08-14 14:08:33 EDT
I think it makes sense to keep dbus.target in systemd. While this is not really important for systemd itself I'd like to keep this similar to how syslog is handled:

The generic syslog.target unit you find in systemd yourself, while the various available implementations then install syslog.service/syslog.socket as they see fit, with different contents and even different names. 

While we (currently?) only have a single D-Bus implementation I think it is the path of least surprise if we follow the same scheme of dbus and syslog here.

The directory ownership should indeed be fixed.
Comment 2 Bill Nottingham 2010-08-16 12:46:07 EDT
I'm not sure planning for ever having a separate dbus implementation is useful. CC'ing Colin in any case, as the packaging changes may affect dbus.
Comment 3 Matthias Clasen 2010-09-08 11:59:12 EDT
So, this is just a dbus packaging bug, right ?

It needs to own /lib/systemd/system/dbus.target.wants

Should we move this bug to dbus ?
Comment 4 Fedora Update System 2010-09-13 21:04:31 EDT
systemd-10-1.fc14,initscripts-9.20-1.fc14,sysvinit-2.87-5.dsf.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/systemd-10-1.fc14,initscripts-9.20-1.fc14,sysvinit-2.87-5.dsf.fc14
Comment 5 Fedora Update System 2010-09-14 00:28:18 EDT
systemd-10-1.fc14, initscripts-9.20-1.fc14, sysvinit-2.87-5.dsf.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update systemd initscripts sysvinit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/systemd-10-1.fc14,initscripts-9.20-1.fc14,sysvinit-2.87-5.dsf.fc14
Comment 6 Fedora Update System 2010-09-15 03:11:53 EDT
initscripts-9.20-1.fc14, sysvinit-2.87-5.dsf.fc14, systemd-10-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.